Overseer 4.0.1009.04 Released

Posted on October 10th, 2009

I’ve just released a new version of Overseer Network Monitor that fixes an error when Overseer is run with UAC on with a non-admin account. Generally, Overseer should always be run as an Administrator, and it’s best to have UAC turned off.